#include <bits/stdc++.h>
using namespace std;
long ucln(int a,int b)
{
    if(a>b){
        for(long i=a;i>=1;i--){
            if(b%i==0 && a%i==0){
                return i;
                break;
            }
        }
    }
    if(a<b){
        for(long j=b;j>=1;j--){
            if(a%j==0 && b%j==0){
                return j;
                break;
            }
        }
    }
    if(a==b){
        return a;
    }
}
int main()
{
    ifstream f1("dayso.inp");
    ofstream f2("NTCN.out");
    long n;
    long s[100000];
    f1>>n;
    for(long i=0;i<n;i++){
        f1>>s[i];
    }
    for(long j=0;j<n-1;j++){
        for(long k=j+1;k<n;k++){
            if(ucln(s[j],s[k])==1){
                f2<<s[j]<<" "<<s[k]<<endl;
            }
        }
    }
    return 0;
}
